#include <stdio.h>

int main() {
	int time;
	double money;
	scanf("%lf %d",&money,&time);
	
	double lilv;
	if(time <= 12) lilv = 0.0435/12;
	else if(time <= 60) lilv = 0.0475/12;
	else lilv = 0.049/12;
	
	int i;
	for(i = 1; i <= time; i++) {
		double result = money / time + (money - money / time * (i - 1)) * lilv;
		printf("%.1lf\n",result);
	}
	
	
	
	
	return 0;
}